aboutsummaryrefslogtreecommitdiff
path: root/network/ipxnet/git2tarxz.sh
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2018-08-03 05:57:19 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2018-08-04 08:17:11 +0700
commitc307650f720584677c21b0d311ff566df8b83dfc (patch)
tree378182019151f2409c0ac346b3cd520e1cb322f5 /network/ipxnet/git2tarxz.sh
parentf516576ada936b719baa671f569f1a4b2ffabea9 (diff)
network/ipxnet: Added (tunnel IPX over TCP/IP).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/ipxnet/git2tarxz.sh')
-rw-r--r--network/ipxnet/git2tarxz.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/network/ipxnet/git2tarxz.sh b/network/ipxnet/git2tarxz.sh
new file mode 100644
index 000000000000..43de757147d6
--- /dev/null
+++ b/network/ipxnet/git2tarxz.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+# Create source tarball from git repo, with generated version
+# number. We don't include the git history in the tarball.
+
+# Note that this script doesn't need to be run as root. It does
+# need to be able to write to the current directory it's run from.
+
+PRGNAM=ipxnet
+CLONE_URL=https://github.com/intangir/$PRGNAM.git
+
+set -e
+
+GITDIR=$( mktemp -dt $PRGNAM.git.XXXXXX )
+rm -rf $GITDIR
+git clone $CLONE_URL $GITDIR
+
+CWD="$( pwd )"
+cd $GITDIR
+
+VERSION=$( git log --date=format:%Y%m%d --pretty=format:%cd.%h -n1 )
+
+rm -rf .git
+find . -name .gitignore -print0 | xargs -0 rm -f
+
+cd "$CWD"
+rm -rf $PRGNAM-$VERSION $PRGNAM-$VERSION.tar.xz
+mv $GITDIR $PRGNAM-$VERSION
+tar cvfJ $PRGNAM-$VERSION.tar.xz $PRGNAM-$VERSION
+
+cat <<EOF
+
+Archive created: $PRGNAM-$VERSION.tar.xz
+
+Update $PRGNAM.info with:
+
+VERSION="$VERSION"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/$PRGNAM-$VERSION.tar.xz"
+MD5SUM="$( md5sum $PRGNAM-$VERSION.tar.xz | cut -d' ' -f1 )"
+
+Don't forget to upload the new source!
+EOF